読者です 読者をやめる 読者になる 読者になる

OSC2007 fallでRails2.0PreviewReleaseについて発表してきました

Rails Ruby

プレゼン資料はこちら
http://www.slideshare.net/xibbar/rails2-pr
時間がなかったので超特急な説明になってしまいました。
大変申し訳ないです。次回はRuby Hot Links と最近のRails事情を分けましょう。>会長

1.2.Xからのアップグレードする場合の注意点としては

  • acts_as_XXXがプラグインに行ってしまった
  • in_place_editorとauto_complete_forもプラグインに行ってしまった
  • CSRF対策をとったフォームがデフォルトになっているので、受け取る処理が必要
  • with_scopeは基本的に同じモデル内でしか使えない

だいたいこんなところでしょうか。